module "fr_website" {
  source = "modules/website"

  resource_prefix = "${var.app_name}-fr"

  bucket          = "${var.fr_website_bucket}"
  certificate_arn = "${var.website_certificate_arn}"
  hostname        = "${var.fr_website_hostname}"

  index_deployer_lambda_name      = "${aws_lambda_function.index_deployer.function_name}"
  index_deployer_lambda_arn       = "${aws_lambda_function.index_deployer.arn}"
  index_deployer_lambda_role_name = "${aws_iam_role.index_deployer.name}"
}

module "en_website" {
  source = "modules/website"

  resource_prefix = "${var.app_name}-en"

  bucket          = "${var.en_website_bucket}"
  certificate_arn = "${var.website_certificate_arn}"
  hostname        = "${var.en_website_hostname}"

  index_deployer_lambda_name      = "${aws_lambda_function.index_deployer.function_name}"
  index_deployer_lambda_arn       = "${aws_lambda_function.index_deployer.arn}"
  index_deployer_lambda_role_name = "${aws_iam_role.index_deployer.name}"
}
